Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLInputElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLInputElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLInputElement, Node

public class JRexHTMLInputElementImpl
extends JRexHTMLElementImpl
implements HTMLInputElement

A class implementing org.w3c.dom.html2.HTMLInputElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLInputElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `click()` Simulate a mouse-click.
`void` | `focus()` Gives keyboard focus to this element.
`String` | `getAccept()` A comma-separated list of content types that a server processing this form will handle correctly.
`String` | `getAccessKey()` A single character access key to give access to the form control.
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`boolean` | `getChecked()` When the `type` attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent.
`boolean` | `getDefaultChecked()` When `type` has the value "radio" or "checkbox", this represents the HTML checked attribute of the element.
`String` | `getDefaultValue()` When the `type` attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`HTMLFormElement` | `getForm()` Returns the `FORM` element containing this control.
`int` | `getMaxLength()` Maximum number of characters for text fields, when `type` has the value "text" or "password".
`String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` This control is read-only.
`int` | `getSize()` Size information.
`String` | `getSrc()` When the `type` attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getType()` The type of control created (all lower case).
`String` | `getUseMap()` Use client-side image map.
`String` | `getValue()` When the `type` attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.
`void` | `select()` Select the contents of the text area.
`void` | `setAccept(String accept)` A comma-separated list of content types that a server processing this form will handle correctly.
`void` | `setAccessKey(String accessKey)` A single character access key to give access to the form control.
`void` | `setAlign(String align)` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`void` | `setAlt(String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `setChecked(boolean checked)` When the `type` attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent.
`void` | `setDefaultChecked(boolean defaultChecked)` When `type` has the value "radio" or "checkbox", this represents the HTML checked attribute of the element.
`void` | `setDefaultValue(String defaultValue)` When the `type` attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setMaxLength(int maxLength)` Maximum number of characters for text fields, when `type` has the value "text" or "password".
`void` | `setName(String name)` Form control or object name when submitted with a form.
`void` | `setReadOnly(boolean readOnly)` This control is read-only.
`void` | `setSize(int size)` Size information.
`void` | `setSrc(String src)` When the `type` attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setType(String type)` The type of control created (all lower case).
`void` | `setUseMap(String useMap)` Use client-side image map.
`void` | `setValue(String value)` When the `type` attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getDefaultValue

    public String getDefaultValue()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. See the value attribute definition in HTML 4.01.

  Specified by:
    `getDefaultValue` in interface `HTMLInputElement`

### setDefaultValue

    public void setDefaultValue(String defaultValue)

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. See the value attribute definition in HTML 4.01.

  Specified by:
    `setDefaultValue` in interface `HTMLInputElement`

### getDefaultChecked

    public boolean getDefaultChecked()

  Description copied from interface: `HTMLInputElement`
  When `type` has the value "radio" or "checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. See the checked attribute definition in HTML 4.01.

  Specified by:
    `getDefaultChecked` in interface `HTMLInputElement`

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Description copied from interface: `HTMLInputElement`
  When `type` has the value "radio" or "checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes. See the checked attribute definition in HTML 4.01.

  Specified by:
    `setDefaultChecked` in interface `HTMLInputElement`

### getForm

    public HTMLFormElement getForm()

  Description copied from interface: `HTMLInputElement`
  Returns the `FORM` element containing this control. Returns `null` if this control is not within the context of a form.

  Specified by:
    `getForm` in interface `HTMLInputElement`

### getAccept

    public String getAccept()

  Description copied from interface: `HTMLInputElement`
  A comma-separated list of content types that a server processing this form will handle correctly. See the accept attribute definition in HTML 4.01.

  Specified by:
    `getAccept` in interface `HTMLInputElement`

### setAccept

    public void setAccept(String accept)

  Description copied from interface: `HTMLInputElement`
  A comma-separated list of content types that a server processing this form will handle correctly. See the accept attribute definition in HTML 4.01.

  Specified by:
    `setAccept` in interface `HTMLInputElement`

### getAccessKey

    public String getAccessKey()

  Description copied from interface: `HTMLInputElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `getAccessKey` in interface `HTMLInputElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Description copied from interface: `HTMLInputElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `setAccessKey` in interface `HTMLInputElement`

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLInputElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLInputElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLInputElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLInputElement`

### getAlt

    public String getAlt()

  Description copied from interface: `HTMLInputElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01.

  Specified by:
    `getAlt` in interface `HTMLInputElement`

### setAlt

    public void setAlt(String alt)

  Description copied from interface: `HTMLInputElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01.

  Specified by:
    `setAlt` in interface `HTMLInputElement`

### getChecked

    public boolean getChecked()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML checked attribute of the INPUT element.During the handling of a click event on an input element with a type attribute that has the value "radio" or "checkbox", some implementations may change the value of this property before the event is being dispatched in the document. If the default action of the event is canceled, the value of the property may be changed back to its original value. This means that the value of this property during the handling of click events is implementation dependent.

  Specified by:
    `getChecked` in interface `HTMLInputElement`

### setChecked

    public void setChecked(boolean checked)

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML checked attribute of the INPUT element.During the handling of a click event on an input element with a type attribute that has the value "radio" or "checkbox", some implementations may change the value of this property before the event is being dispatched in the document. If the default action of the event is canceled, the value of the property may be changed back to its original value. This means that the value of this property during the handling of click events is implementation dependent.

  Specified by:
    `setChecked` in interface `HTMLInputElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLInputElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `getDisabled` in interface `HTMLInputElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Description copied from interface: `HTMLInputElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.01.

  Specified by:
    `setDisabled` in interface `HTMLInputElement`

### getMaxLength

    public int getMaxLength()

  Description copied from interface: `HTMLInputElement`
  Maximum number of characters for text fields, when `type` has the value "text" or "password". See the maxlength attribute definition in HTML 4.01.

  Specified by:
    `getMaxLength` in interface `HTMLInputElement`

### setMaxLength

    public void setMaxLength(int maxLength)

  Description copied from interface: `HTMLInputElement`
  Maximum number of characters for text fields, when `type` has the value "text" or "password". See the maxlength attribute definition in HTML 4.01.

  Specified by:
    `setMaxLength` in interface `HTMLInputElement`

### getName

    public String getName()

  Description copied from interface: `HTMLInputElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `getName` in interface `HTMLInputElement`

### setName

    public void setName(String name)

  Description copied from interface: `HTMLInputElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.01.

  Specified by:
    `setName` in interface `HTMLInputElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from interface: `HTMLInputElement`
  This control is read-only. Relevant only when `type` has the value "text" or "password". See the readonly attribute definition in HTML 4.01.

  Specified by:
    `getReadOnly` in interface `HTMLInputElement`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Description copied from interface: `HTMLInputElement`
  This control is read-only. Relevant only when `type` has the value "text" or "password". See the readonly attribute definition in HTML 4.01.

  Specified by:
    `setReadOnly` in interface `HTMLInputElement`

### getSize

    public int getSize()

  Description copied from interface: `HTMLInputElement`
  Size information. The precise meaning is specific to each type of field. See the size attribute definition in HTML 4.01.

  Specified by:
    `getSize` in interface `HTMLInputElement`

### setSize

    public void setSize(int size)

  Description copied from interface: `HTMLInputElement`
  Size information. The precise meaning is specific to each type of field. See the size attribute definition in HTML 4.01.

  Specified by:
    `setSize` in interface `HTMLInputElement`

### getSrc

    public String getSrc()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button. See the src attribute definition in HTML 4.01.

  Specified by:
    `getSrc` in interface `HTMLInputElement`

### setSrc

    public void setSrc(String src)

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button. See the src attribute definition in HTML 4.01.

  Specified by:
    `setSrc` in interface `HTMLInputElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLInputElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLInputElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLInputElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLInputElement`

### getType

    public String getType()

  Description copied from interface: `HTMLInputElement`
  The type of control created (all lower case). See the type attribute definition in HTML 4.01.

  Specified by:
    `getType` in interface `HTMLInputElement`

### setType

    public void setType(String type)

  Description copied from interface: `HTMLInputElement`
  The type of control created (all lower case). See the type attribute definition in HTML 4.01.

  Specified by:
    `setType` in interface `HTMLInputElement`

### getUseMap

    public String getUseMap()

  Description copied from interface: `HTMLInputElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.01.

  Specified by:
    `getUseMap` in interface `HTMLInputElement`

### setUseMap

    public void setUseMap(String useMap)

  Description copied from interface: `HTMLInputElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.01.

  Specified by:
    `setUseMap` in interface `HTMLInputElement`

### getValue

    public String getValue()

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the `type` attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element. See the value attribute definition in HTML 4.01.

  Specified by:
    `getValue` in interface `HTMLInputElement`

### setValue

    public void setValue(String value)

  Description copied from interface: `HTMLInputElement`
  When the `type` attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the `type` attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element. See the value attribute definition in HTML 4.01.

  Specified by:
    `setValue` in interface `HTMLInputElement`

### blur

    public void blur()

  Description copied from interface: `HTMLInputElement`
  Removes keyboard focus from this element.

  Specified by:
    `blur` in interface `HTMLInputElement`

### focus

    public void focus()

  Description copied from interface: `HTMLInputElement`
  Gives keyboard focus to this element.

  Specified by:
    `focus` in interface `HTMLInputElement`

### select

    public void select()

  Description copied from interface: `HTMLInputElement`
  Select the contents of the text area. For `INPUT` elements whose `type` attribute has one of the following values: "text", "file", or "password".

  Specified by:
    `select` in interface `HTMLInputElement`

### click

    public void click()

  Description copied from interface: `HTMLInputElement`
  Simulate a mouse-click. For `INPUT` elements whose `type` attribute has one of the following values: "button", "checkbox", "radio", "reset", or "submit".

  Specified by:
    `click` in interface `HTMLInputElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.